petsc-3.15.0 2021-03-30
Report Typos and Errors

# PFSetFromOptions

Sets PF options from the options database.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFSetFromOptions(PF pf)

Collective on PF

### Input Parameters

| pf | - the mathematical function context

### Options Database Keys

### Notes

To see all options, run your program with the -help option or consult the users manual.

### See Also

### Level

intermediate

### Location

src/vec/pf/interface/pf.c

### Examples

src/dm/tutorials/ex4.c.html
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages